
Infrastructure - Story #353

Deploy CN Service from debian package install
Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: CCI-0.4   

Story Points:    

Description

As a system administrator, I want to deploy CN Service from a debian package such that I am not having to configure the service by

hand.

create an svn directory structure for the cn-buildout of cn service

put all the files in the correct places for the CN directory structure

create control file

create the post-inst include subdir that includes the stubs for various service mount points

edit the dataone-os-core post-inst to configure apache for ajp to include above subdir

edit the Makefile

History

#1 - 2010-03-25 02:56 - Robert Waltz

- Status changed from New to In Progress

#2 - 2010-05-09 01:36 - Redmine Admin

Updated status, related task in progress

#4 - 2010-10-27 16:12 - Dave Vieglais

- Category changed from d1_cn_buildout to d1_cn_service
